      program example26b_slave
      include 'mpif.h'
      integer rank, size, ierr
      integer intercomm;
      call MPI_INIT(ierr)
      call MPI_COMM_GET_PARENT(intercomm, ierr)
      call MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierr)
      call MPI_SEND(rank, 1, MPI_INTEGER, 0, rank, intercomm,
     &              ierr)
      call MPI_FINALIZE(ierr)
      end
